package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.GwArticle;

/**
 * 官网文章列表Service接口
 * 
 * @author libao
 * @date 2024-04-28
 */
public interface IGwArticleService 
{
    /**
     * 查询官网文章列表
     * 
     * @param id 官网文章列表主键
     * @return 官网文章列表
     */
    public GwArticle selectGwArticleById(Long id);

    /**
     * 查询官网文章列表列表
     * 
     * @param gwArticle 官网文章列表
     * @return 官网文章列表集合
     */
    public List<GwArticle> selectGwArticleList(GwArticle gwArticle);

    /**
     * 新增官网文章列表
     * 
     * @param gwArticle 官网文章列表
     * @return 结果
     */
    public int insertGwArticle(GwArticle gwArticle);

    /**
     * 修改官网文章列表
     * 
     * @param gwArticle 官网文章列表
     * @return 结果
     */
    public int updateGwArticle(GwArticle gwArticle);

    /**
     * 批量删除官网文章列表
     * 
     * @param ids 需要删除的官网文章列表主键集合
     * @return 结果
     */
    public int deleteGwArticleByIds(Long[] ids);

    /**
     * 删除官网文章列表信息
     * 
     * @param id 官网文章列表主键
     * @return 结果
     */
    public int deleteGwArticleById(Long id);
}
