package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.GwCategory;

/**
 * 文章分类Service接口
 * 
 * @author lb
 * @date 2024-04-28
 */
public interface IGwCategoryService 
{
    /**
     * 查询文章分类
     * 
     * @param id 文章分类主键
     * @return 文章分类
     */
    public GwCategory selectGwCategoryById(Long id);

    /**
     * 查询文章分类列表
     * 
     * @param gwCategory 文章分类
     * @return 文章分类集合
     */
    public List<GwCategory> selectGwCategoryList(GwCategory gwCategory);

    /**
     * 新增文章分类
     * 
     * @param gwCategory 文章分类
     * @return 结果
     */
    public int insertGwCategory(GwCategory gwCategory);

    /**
     * 修改文章分类
     * 
     * @param gwCategory 文章分类
     * @return 结果
     */
    public int updateGwCategory(GwCategory gwCategory);

    /**
     * 批量删除文章分类
     * 
     * @param ids 需要删除的文章分类主键集合
     * @return 结果
     */
    public int deleteGwCategoryByIds(Long[] ids);

    /**
     * 删除文章分类信息
     * 
     * @param id 文章分类主键
     * @return 结果
     */
    public int deleteGwCategoryById(Long id);
}
