package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.GwArticleMapper;
import com.ruoyi.system.domain.GwArticle;
import com.ruoyi.system.service.IGwArticleService;

/**
 * 官网文章列表Service业务层处理
 * 
 * @author libao
 * @date 2024-04-28
 */
@Service
public class GwArticleServiceImpl implements IGwArticleService 
{
    @Autowired
    private GwArticleMapper gwArticleMapper;

    /**
     * 查询官网文章列表
     * 
     * @param id 官网文章列表主键
     * @return 官网文章列表
     */
    @Override
    public GwArticle selectGwArticleById(Long id)
    {
        return gwArticleMapper.selectGwArticleById(id);
    }

    /**
     * 查询官网文章列表列表
     * 
     * @param gwArticle 官网文章列表
     * @return 官网文章列表
     */
    @Override
    public List<GwArticle> selectGwArticleList(GwArticle gwArticle)
    {
        return gwArticleMapper.selectGwArticleList(gwArticle);
    }

    /**
     * 新增官网文章列表
     * 
     * @param gwArticle 官网文章列表
     * @return 结果
     */
    @Override
    public int insertGwArticle(GwArticle gwArticle)
    {
        gwArticle.setCreateTime(DateUtils.getNowDate());
        return gwArticleMapper.insertGwArticle(gwArticle);
    }

    /**
     * 修改官网文章列表
     * 
     * @param gwArticle 官网文章列表
     * @return 结果
     */
    @Override
    public int updateGwArticle(GwArticle gwArticle)
    {
        gwArticle.setUpdateTime(DateUtils.getNowDate());
        return gwArticleMapper.updateGwArticle(gwArticle);
    }

    /**
     * 批量删除官网文章列表
     * 
     * @param ids 需要删除的官网文章列表主键
     * @return 结果
     */
    @Override
    public int deleteGwArticleByIds(Long[] ids)
    {
        return gwArticleMapper.deleteGwArticleByIds(ids);
    }

    /**
     * 删除官网文章列表信息
     * 
     * @param id 官网文章列表主键
     * @return 结果
     */
    @Override
    public int deleteGwArticleById(Long id)
    {
        return gwArticleMapper.deleteGwArticleById(id);
    }
}
